Loading...
Searching...
No Matches
GuidewireSim.CollisionTestPerformer Class Reference
Inheritance diagram for GuidewireSim.CollisionTestPerformer:

## Private Member Functions

void | Awake ()
void | Start ()
void | PerformCollisionTests ()
void | PerformCollisionTestOne ()
IEnumerator | PerformCollisionTestTwo (float applyForceTime=1.5f)
IEnumerator | PerformCollisionTestThree (float exitVelocity=4f)
IEnumerator | PerformCollisionTestFour (float pullForceFactor=0.3f)

## Private Attributes

SimulationLoop | simulationLoop
| The SimulationLoop component that executes all steps of the simulation loop. More...
Vector3 | pullForce = new Vector3(0f, 0f, 5f)
| External force that is applied in Force Test Three. More...
bool | doCollisionTestOne = false
bool | doCollisionTestTwo = false
bool | doCollisionTestThree = false
bool | doCollisionTestFour = false
float | startTime = 0f

## Member Function Documentation

## Awake()

void GuidewireSim.CollisionTestPerformer.Awake | ( |  | ) |

private

## PerformCollisionTestFour()

IEnumerator GuidewireSim.CollisionTestPerformer.PerformCollisionTestFour | ( | float | pullForceFactor = `0.3f` | ) |

private

## PerformCollisionTestOne()

void GuidewireSim.CollisionTestPerformer.PerformCollisionTestOne | ( |  | ) |

private

Performs torque test one. This test applies an external force to one end of the guidewire.

## PerformCollisionTests()

void GuidewireSim.CollisionTestPerformer.PerformCollisionTests | ( |  | ) |

private

Performs each Torque Test whose respective serialized boolean is set to true in the Unity inspector.

## PerformCollisionTestThree()

IEnumerator GuidewireSim.CollisionTestPerformer.PerformCollisionTestThree | ( | float | exitVelocity = `4f` | ) |

private

## PerformCollisionTestTwo()

IEnumerator GuidewireSim.CollisionTestPerformer.PerformCollisionTestTwo | ( | float | applyForceTime = `1.5f` | ) |

private

## Start()

void GuidewireSim.CollisionTestPerformer.Start | ( |  | ) |

private

## Member Data Documentation

## doCollisionTestFour

bool GuidewireSim.CollisionTestPerformer.doCollisionTestFour = false

private

## doCollisionTestOne

bool GuidewireSim.CollisionTestPerformer.doCollisionTestOne = false

private

## doCollisionTestThree

bool GuidewireSim.CollisionTestPerformer.doCollisionTestThree = false

private

## doCollisionTestTwo

bool GuidewireSim.CollisionTestPerformer.doCollisionTestTwo = false

private

## pullForce

Vector3 GuidewireSim.CollisionTestPerformer.pullForce = new Vector3(0f, 0f, 5f)

private

External force that is applied in Force Test Three.

## simulationLoop

SimulationLoop GuidewireSim.CollisionTestPerformer.simulationLoop

private

The SimulationLoop component that executes all steps of the simulation loop.

## startTime

float GuidewireSim.CollisionTestPerformer.startTime = 0f

private

The documentation for this class was generated from the following file:

- CollisionTestPerformer.cs